package com.ruoyi.ie.service;

import java.util.List;
import com.ruoyi.ie.domain.AEnrollSpecial;

/**
 * 院校考生专项考核Service接口
 * 
 * @author voluntary
 * @date 2023-11-26
 */
public interface IAEnrollSpecialService 
{
    /**
     * 查询院校考生专项考核
     * 
     * @param id 院校考生专项考核主键
     * @return 院校考生专项考核
     */
    public AEnrollSpecial selectAEnrollSpecialById(Long id);

    /**
     * 查询院校考生专项考核列表
     * 
     * @param aEnrollSpecial 院校考生专项考核
     * @return 院校考生专项考核集合
     */
    public List<AEnrollSpecial> selectAEnrollSpecialList(AEnrollSpecial aEnrollSpecial);

    /**
     * 新增院校考生专项考核
     * 
     * @param aEnrollSpecial 院校考生专项考核
     * @return 结果
     */
    public int insertAEnrollSpecial(AEnrollSpecial aEnrollSpecial);

    /**
     * 修改院校考生专项考核
     * 
     * @param aEnrollSpecial 院校考生专项考核
     * @return 结果
     */
    public int updateAEnrollSpecial(AEnrollSpecial aEnrollSpecial);

    /**
     * 批量删除院校考生专项考核
     * 
     * @param ids 需要删除的院校考生专项考核主键集合
     * @return 结果
     */
    public int deleteAEnrollSpecialByIds(Long[] ids);

    /**
     * 删除院校考生专项考核信息
     * 
     * @param id 院校考生专项考核主键
     * @return 结果
     */
    public int deleteAEnrollSpecialById(Long id);
}
